package org.xwiki.cache;

import org.xwiki.cache.config.CacheConfiguration;
import org.xwiki.cache.event.CacheEntryListener;

public interface Cache<T>
{
    void initialize(CacheConfiguration configuration);
    
    void set(String key, T value);

    T get(String key);

    void remove(String key);

    void removeAll();

    int getSize();
    
    void addCacheEntryListener(CacheEntryListener<T> listener);

    void removeCacheEntryListener(CacheEntryListener<T> listener);
    
    void dispose();
}
