package org.xwiki.cache;

import org.xwiki.cache.config.CacheConfiguration;

public interface CacheFactory
{
    /**
     * This component's role, used when code needs to look it up.
     */
    public final static String ROLE = CacheFactory.class.getName();

    /**
     * Create and return a custom cache.
     * @param config the cache configuration.
     * 
     * @return a new {@link Cache}.
     * @throws CacheException
     */
    <T> Cache<T> newCache(CacheConfiguration config) throws CacheException;
}
