package org.xwiki.cache;

import org.xwiki.cache.config.CacheConfiguration;

public interface LocalCacheFactory
{
    /**
     * This component's role, used when code needs to look it up.
     */
    public final static String ROLE = LocalCacheFactory.class.getName();

    /**
     * Create and return a new custom local cache.
     * 
     * @param config the cache configuration.
     * @return a new {@link Cache}.
     * @throws CacheException
     */
    <T> Cache<T> newLocalCache(CacheConfiguration config) throws CacheException;
}
