package org.xwiki.cache.internal;

import org.xwiki.cache.LocalCacheFactory;
import org.xwiki.cache.Cache;
import org.xwiki.cache.CacheException;
import org.xwiki.cache.config.CacheConfiguration;

public class DefaultLocalCacheFactory implements LocalCacheFactory
{
    /**
     * This component's role hint, used when code needs to look it up.
     */
    public static final String ROLEHINT = "default";

    /**
     * {@inheritDoc}
     * 
     * @see org.xwiki.cache.LocalCacheFactory#newLocalCache()
     */
    public <T> Cache<T> newLocalCache() throws CacheException
    {
        return new DefaultCache<T>();
    }

    /**
     * {@inheritDoc}
     * 
     * @see org.xwiki.cache.LocalCacheFactory#newLocalCache(org.xwiki.cache.config.CacheConfiguration)
     */
    public <T> Cache<T> newLocalCache(CacheConfiguration config) throws CacheException
    {
        return newLocalCache();
    }
}
