package org.xwiki.cache.util;

import javax.swing.event.EventListenerList;

import org.xwiki.cache.Cache;
import org.xwiki.cache.event.CacheEntryListener;

public abstract class AbstractCache<T> implements Cache<T>
{
    protected final EventListenerList cacheEntryListeners = new EventListenerList();

    public void dispose()
    {
        for (CacheEntryListener<T> listener : cacheEntryListeners.getListeners(CacheEntryListener.class)) {
            cacheEntryListeners.remove(CacheEntryListener.class, listener);
        }
    }

    /**
     * {@inheritDoc}
     * 
     * @see org.xwiki.cache.Cache#addCacheEntryListener(org.xwiki.cache.event.CacheEntryListener)
     */
    public void addCacheEntryListener(CacheEntryListener<T> listener)
    {
        cacheEntryListeners.add(CacheEntryListener.class, listener);
    }

    public void removeCacheEntryListener(CacheEntryListener<T> listener)
    {
        cacheEntryListeners.remove(CacheEntryListener.class, listener);
    }
}
