package org.xwiki.cache.oscache.internal;

import org.xwiki.cache.Cache;

import com.opensymphony.oscache.base.CacheEntry;

public class OSCacheCacheEntry<T> implements org.xwiki.cache.CacheEntry<T>
{
    private OSCacheCache<T> cache;

    private CacheEntry entry;

    public OSCacheCacheEntry(OSCacheCache<T> cache, CacheEntry entry)
    {
        this.cache = cache;
        this.entry = entry;
    }

    public Cache<T> getCache()
    {
        return this.cache;
    }

    public T getValue()
    {
        return (T) entry.getContent();
    }

    public String getKey()
    {
        return entry.getKey().substring(this.cache.getName().length());
    }
}
